Kwalitee Issues

no_pod_errors

Remove the POD errors. You can check for POD errors automatically by including Test::Pod to your test suite.

Error: Arepa-0.93/lib/Arepa/Builder/Sbuild.pm -- Around line 304: Non-ASCII character seen before =encoding in 'Velázquez'. Assuming UTF-8 Arepa-0.93/lib/Arepa/Builder/Sbuildfake.pm -- Around line 41: Non-ASCII character seen before =encoding in 'Velázquez'. Assuming UTF-8 Arepa-0.93/lib/Arepa/Builder/Test.pm -- Around line 63: Non-ASCII character seen before =encoding in 'Velázquez'. Assuming UTF-8 Arepa-0.93/lib/Arepa/Builder.pm -- Around line 257: Non-ASCII character seen before =encoding in 'Velázquez'. Assuming UTF-8 Arepa-0.93/lib/Arepa/BuilderFarm.pm -- Around line 428: Non-ASCII character seen before =encoding in 'Velázquez'. Assuming UTF-8 Arepa-0.93/lib/Arepa/Config.pm -- Around line 200: Non-ASCII character seen before =encoding in 'Velázquez'. Assuming UTF-8 Arepa-0.93/lib/Arepa/PackageDb.pm -- Around line 434: Non-ASCII character seen before =encoding in 'Velázquez'. Assuming UTF-8 Arepa-0.93/lib/Arepa/Repository.pm -- Around line 507: Non-ASCII character seen before =encoding in 'Velázquez'. Assuming UTF-8 Arepa-0.93/lib/Arepa/UI/Null.pm -- Around line 17: Non-ASCII character seen before =encoding in 'Velázquez'. Assuming UTF-8 Arepa-0.93/lib/Arepa/UI/Text.pm -- Around line 22: Non-ASCII character seen before =encoding in 'Velázquez'. Assuming UTF-8 Arepa-0.93/lib/Arepa.pm -- Around line 254: Non-ASCII character seen before =encoding in 'Velázquez'. Assuming UTF-8

use_strict

Add 'use strict' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules are strictly written.

Error: Arepa, Arepa::Config, Arepa::UI::Null, Arepa::UI::Text

has_meta_json

Add a META.json to the distribution. Your buildtool should be able to autogenerate it.

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

meta_yml_has_license

Define the license if you are using in Build.PL. If you are using MakeMaker (Makefile.PL) you should upgrade to ExtUtils::MakeMaker version 6.31.

use_warnings

Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: Arepa, Arepa::Config, Arepa::UI::Null, Arepa::UI::Text

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

meta_yml_has_repository_resource

Add a 'repository' resource to the META.yml via 'meta_add' accessor (for Module::Build) or META_ADD parameter (for ExtUtils::MakeMaker).

Modules

Name Abstract Version View
Arepa Apt REPository Assistant 0.93 metacpan
Arepa::Builder Arepa builder base "class" metacpan
Arepa::Builder::Sbuild metacpan
Arepa::Builder::Sbuildfake metacpan
Arepa::Builder::Test metacpan
Arepa::BuilderFarm Arepa builder farm access class metacpan
Arepa::CommandManager metacpan
Arepa::Config Arepa package database API metacpan
Arepa::Job::CompilePackage metacpan
Arepa::PackageDb Arepa package database API metacpan
Arepa::Repository Arepa repository access class metacpan
Arepa::UI::Null metacpan
Arepa::UI::Text metacpan
Arepa::Web metacpan
Arepa::Web::Auth metacpan
Arepa::Web::Base metacpan
Arepa::Web::Dashboard metacpan
Arepa::Web::Incoming metacpan
Arepa::Web::Keys metacpan
Arepa::Web::Public metacpan
Arepa::Web::Queue metacpan
Arepa::Web::Repository metacpan
Mojolicious::Plugin::MoreTagHelpers metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan